# Method Parser.XML.Tree.VirtualNode()->get_first_element()

Method get_first_element

  ``AbstractNode` get_first_element(`string`|`void` `name`, `bool`|`void` `full`)`

Description

  Returns the first element child to this node.

Parameter `name`

  If provided, the first element child with that name is returned.

Parameter `full`

  If specified, name matching will be done against the full name.

Returns

  Returns the first matching node, and 0 if no such node was found.